(function () {
    'use strict';
    angular.module('ti_common').controller('NavCtrl', NavCtrl);
    var NWInjectStr = ['$scope', 'navSrv', 'ufSearch', 'menuContribSrv'];
    NavCtrl.$inject = NWInjectStr;
    function NavCtrl($scope, navSrv, ufSearch, menuContribSrv) {
        $scope.navSrv = navSrv;
        $scope.ufSearch = ufSearch;
        $scope.menuContribSrv = menuContribSrv;
        navSrv.getAppVersion()
            .then(function (version) {
            $scope.version = version;
        });
        $scope.username = '';
        function getUsernameCallback(response) {
            $scope.username = JSON.parse(response.data).uid;
        }
        $scope.execute = function (funcStr) {
            navSrv.execute(funcStr);
        };
        $scope.getYear = function () {
            var d = new Date();
            return d.getFullYear();
        };
    }
})();
